<?xml version="1.0" encoding="iso-8859-1" ?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">  
<!--http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd-->  
<html xmlns="http://www.w3.org/1999/xhtml"  
> 
<head><title>Associate an XML Schema and Validating XML Files</title> 
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" /> 
<meta name="generator" content="TeX4ht (http://www.cse.ohio-state.edu/~gurari/TeX4ht/)" /> 
<meta name="originator" content="TeX4ht (http://www.cse.ohio-state.edu/~gurari/TeX4ht/)" /> 
<!-- xhtml,4 --> 
<meta name="src" content="textgrid-manual.tex" /> 
<meta name="date" content="2011-07-08 17:44:00" /> 
<link rel="stylesheet" type="text/css" href="textgrid-manual.css" /> 
</head><body 
>
<h4 class="subsectionHead"><span class="titlemark">12.6.3</span>&#x00A0;&#x00A0;<a 
 id="x96-15100012.6.3"></a>Associate an XML Schema and Validating XML Files</h4>
<!--l. 1458--><p class="noindent" >While working in the <a 
href="textgrid-manualsu27.html#x85-12100012.3.2">Source View<!--tex4ht:ref: xml-editor:editor-field:source-view --></a> it is possible to associate a schema with your XML
Document. Please click &#8220;XML&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Associate a Schema&#8221; in the menu bar on top and choose one
of the schemas listed in the &#8220;Select Schema&#8221; Dialog box. Click &#8220;OK&#8221; to associate the schema.
To import your own Schemas to the repository see <a 
href="textgrid-manualch6.html#x44-430006">Import<!--tex4ht:ref: import --></a>. In the Source View errors in
the general XML syntax (missing quotes, missing brackets, missing end tags) are
indicated as well as validation errors (in case a schema is specified) with red wavy
underlines.
</p><!--l. 1460--><p class="noindent" >To check if your XML document is well-formed and valid, you can validate it. You can validate
your document in any View by clicking &#8220;XML&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Show Validation Errors&#8221; in the
menu bar on top. The validation errors view will pop up below the Editor view
showing an error message and identifying the invalid XML provided that there is an
error.
                                                                                

                                                                                
</p>
<!--l. 1462--><p class="noindent" ><a 
 id="tailtextgrid-manualsu35.html"></a> </p> 
</body></html> 
